## Remmina-1.2.0-rcgit.15.tar.gz

=== CMakeLists.txt ===
# Remmina - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
# Copyright (C) 2014-2015 Antenore Gatta, Fabio Castelli, Giovanni Panozzo
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA  02110-1301, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.


cmake_minimum_required(VERSION 2.8)

set(CMAKE_COLOR_MAKEFILE ON)

project(Remmina C)

include(CheckIncludeFiles)
include(CheckLibraryExists)
include(FindPkgConfig)
include(CheckCCompilerFlag)
include(GNUInstallDirs)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/)

include(FindOptionalPackage)
include(ConfigOptions)

if(NOT CMAKE_BUILD_TYPE)
        set(CMAKE_BUILD_TYPE "Release")
endif()

if(NOT BUILD_SHARED_LIBS)
    set(BUILD_SHARED_LIBS ON)
endif()

if(CMAKE_COMPILER_IS_GNUCC)
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")
        if(WITH_GCC_SANITIZE_ADDRESS)
                set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=address")
        endif()
        if(WITH_SSE2)
                set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -msse2")
        endif()
        CHECK_C_COMPILER_FLAG(-Wno-unused-result Wno-unused-result)
        if(Wno-unused-result)
                set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-unused-result")
        endif()
        CHECK_C_COMPILER_FLAG(-Wno-unused-but-set-variable Wno-unused-but-set-variable)
        if(Wno-unused-but-set-variable)
                set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-unused-but-set-variable")
        endif()
        CHECK_C_COMPILER_FLAG(-Wno-unused-function Wno-unused-function)
        if(Wno-unused-function)
                set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-unused-function")
        endif()
endif()

check_include_files(sys/param.h HAVE_SYS_PARAM_H)
check_include_files(sys/socket.h HAVE_SYS_SOCKET_H)
check_include_files(arpa/inet.h HAVE_ARPA_INET_H)
check_include_files(netinet/in.h HAVE_NETINET_IN_H)
check_include_files(netinet/tcp.h HAVE_NETINET_TCP_H)
check_include_files(termios.h HAVE_TERMIOS_H)
check_include_files(netdb.h HAVE_NETDB_H)
check_include_files(fcntl.h HAVE_FCNTL_H)
check_include_files(unistd.h HAVE_UNISTD_H)
check_include_files(sys/un.h HAVE_SYS_UN_H)
check_include_files(errno.h HAVE_ERRNO_H)

include_directories(.)
include_directories(remmina/include)

# FreeBSD

if(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
        set(CMAKE_SHARED_LIBRARY_LINK_C_FLAGS "-rdynamic")
        include_directories(/usr/local/include /usr/include)
        link_directories(/usr/local/lib /usr/lib)
        set(CMAKE_REQUIRED_INCLUDES /usr/local/include)
        set(CMAKE_SHARED_LIBRARY_PREFIX ${CMAKE_SHARED_LIBRARY_PREFIX} /usr/local/lib)
endif()

# Versioning
set(WITH_LIBRARY_VERSIONING "ON")
set(REMMINA_VERSION_MAJOR "1")
set(REMMINA_VERSION_MINOR "2")
set(REMMINA_VERSION_REVISION "0")
set(REMMINA_VERSION_SUFFIX "rcgit-15")
set(REMMINA_VERSION "${REMMINA_VERSION_MAJOR}.${REMMINA_VERSION_MINOR}.${REMMINA_VERSION_REVISION}-${REMMINA_VERSION_SUFFIX}")

include(GetGitRevisionDescription)
git_get_exact_tag(GIT_REVISION --tags --always)
if (${GIT_REVISION} STREQUAL "n/a")
        git_rev_parse(GIT_REVISION --short)
endif()

if(NOT GIT_REVISION)
    set(GIT_REVISION ${REMMINA_VERSION_SUFFIX})
endif()
message(STATUS "Git Revision ${GIT_REVISION}")

set(REMMINA_DATADIR "${CMAKE_INSTALL_FULL_DATADIR}")
set(REMMINA_LOCALEDIR "${CMAKE_INSTALL_FULL_DATADIR}/locale")
set(REMMINA_PLUGINDIR "${CMAKE_INSTALL_FULL_LIBDIR}/remmina/plugins")
set(REMMINA_UIDIR "${CMAKE_INSTALL_FULL_DATADIR}/remmina/ui")


# Uninstall support
configure_file(
        "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
        "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
        IMMEDIATE @ONLY)
add_custom_target(uninstall
        "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

find_required_package(GTK)
find_required_package(PTHREAD)
find_suggested_package(GCRYPT)
find_suggested_package(AVAHI)

# Survey URI
set(REMMINA_SURVEY_URI "http://www.remmina.org/survey/survey.tpl")

if(WITH_TRACE_CALLS)
        message(STATUS "Enabling trace calls.")
        add_definitions(-DWITH_TRACE_CALLS)
endif()

option(WITH_SURVEY "Build with SURVEY" ON)
if(WITH_SURVEY)
    message(STATUS "Enabling Survey.")
    add_definitions(-DWITH_SURVEY)
else()
    message(STATUS "Survey disabled")
endif()

if(GCRYPT_FOUND)
        add_definitions(-DHAVE_LIBGCRYPT)
endif()

if(AVAHI_FOUND)
        add_definitions(-DHAVE_LIBAVAHI_UI)
        add_definitions(-DHAVE_LIBAVAHI_CLIENT)
endif()

if(GTK_FOUND)
        add_subdirectory(remmina)
        add_subdirectory(remmina-plugins)
        add_subdirectory(remmina-plugins-gnome)
endif()

if(WITH_EXAMPLES)
        message(STATUS "Enabling examples and test plugins.")
        add_definitions(-DWITH_EXAMPLES)
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_SOURCE_DIR}/config.h)

=== remmina/CMakeLists.txt ===
# src/remmina - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
# Copyright (C) 2014-2015 Antenore Gatta, Fabio Castelli, Giovanni Panozzo
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA  02110-1301, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.


cmake_minimum_required(VERSION 2.8)

list(APPEND REMMINA_SRCS
    "src/remmina_about.c"
    "src/remmina_about.h"
    "src/remmina_applet_menu.c"
    "src/remmina_applet_menu.h"
    "src/remmina_applet_menu_item.c"
    "src/remmina_applet_menu_item.h"
    "src/remmina_avahi.c"
    "src/remmina_avahi.h"
    "src/remmina.c"
    "src/remmina_chat_window.c"
    "src/remmina_chat_window.h"
    "src/remmina_crypt.c"
    "src/remmina_crypt.h"
    "src/remmina_exec.c"
    "src/remmina_exec.h"
    "src/remmina_file.c"
    "src/remmina_file_editor.c"
    "src/remmina_file_editor.h"
    "src/remmina_file.h"
    "src/remmina_file_manager.c"
    "src/remmina_file_manager.h"
    "src/remmina_ftp_client.c"
    "src/remmina_ftp_client.h"
    "src/remmina_icon.c"
    "src/remmina_icon.h"
    "src/remmina_init_dialog.c"
    "src/remmina_init_dialog.h"
    "src/remmina_key_chooser.c"
    "src/remmina_key_chooser.h"
    "src/remmina_log.c"
    "src/remmina_log.h"
    "src/remmina_main.c"
    "src/remmina_main.h"
    "src/remmina_marshals.c"
    "src/remmina_marshals.h"
    "src/remmina_marshals.list"
    "src/remmina_masterthread_exec.c"
    "src/remmina_masterthread_exec.h"
    "src/remmina_plugin_manager.c"
    "src/remmina_plugin_manager.h"
    "src/remmina_plugin_cmdexec.c"
    "src/remmina_plugin_cmdexec.h"
    "src/remmina_pref.c"
    "src/remmina_pref_dialog.c"
    "src/remmina_pref_dialog.h"
    "src/remmina_pref.h"
    "src/remmina_protocol_widget.c"
    "src/remmina_protocol_widget.h"
    "src/remmina_public.c"
    "src/remmina_public.h"
    "src/remmina_scrolled_viewport.c"
    "src/remmina_scrolled_viewport.h"
    "src/remmina_sftp_client.c"
    "src/remmina_sftp_client.h"
    "src/remmina_sftp_plugin.c"
    "src/remmina_sftp_plugin.h"
    "src/remmina_ssh.c"
    "src/remmina_ssh.h"
    "src/remmina_ssh_plugin.c"
    "src/remmina_ssh_plugin.h"
    "src/remmina_string_array.c"
    "src/remmina_string_array.h"
    "src/remmina_string_list.c"
    "src/remmina_string_list.h"
    "src/remmina_widget_pool.c"
    "src/remmina_widget_pool.h"
    "src/remmina_external_tools.c"
    "src/remmina_external_tools.h"
    "src/remmina_sysinfo.h"
    "src/remmina_sysinfo.c"
    "src/remmina_connection_window.c"
    "src/remmina_connection_window.h"
    )

if(WITH_SURVEY)
# either of webkitpackages would do
    pkg_search_module(WEBKIT2
            webkit2gtk-4.0
            webkit2gtk-3.0
    )
    if(WEBKIT2_FOUND)
        list(APPEND REMMINA_SRCS
            "src/remmina_survey.c"
            "src/remmina_survey.h"
            )
    else(WEBKIT2_FOUND)
        message(FATAL_ERROR "Either webkit2gtk-4.0 or webkit2gtk-3.0 is required")
    endif(WEBKIT2_FOUND)
endif(WITH_SURVEY)

add_executable(remmina ${REMMINA_SRCS})
include_directories(${GTK_INCLUDE_DIRS})
target_link_libraries(remmina ${GTK_LIBRARIES})

if(WITH_SURVEY)
    if(WEBKIT2_FOUND)
        message(STATUS "Found Webkit2gtk ${WEBKIT2_VERSION}")
        include_directories(
            ${WEBKIT2_INCLUDE_DIRS}
            )
        link_directories(
            ${WEBKIT2_LIBRARY_DIRS}
            )
        add_definitions(${WEBKIT2_CFLAGS_OTHER})
        target_link_libraries(remmina ${WEBKIT2_LIBRARIES})
    endif(WEBKIT2_FOUND)
endif(WITH_SURVEY)

find_package(X11)
include_directories(${X11_INCLUDE_DIR})
target_link_libraries(remmina ${X11_LIBRARIES})

find_suggested_package(LIBSSH)
if(LIBSSH_FOUND)
        add_definitions(-DHAVE_LIBSSH)
        include_directories(${LIBSSH_INCLUDE_DIRS})
        target_link_libraries(remmina ${LIBSSH_LIBRARIES})
endif()

if(PTHREAD_FOUND)
        include_directories(${PTHREAD_INCLUDE_DIRS})
        target_link_libraries(remmina ${PTHREAD_LIBRARIES})
endif()

if(GCRYPT_FOUND)
        include_directories(${GCRYPT_INCLUDE_DIRS})
        target_link_libraries(remmina ${GCRYPT_LIBRARIES})
endif()

if(AVAHI_FOUND)
        include_directories(${AVAHI_INCLUDE_DIRS})
        target_link_libraries(remmina ${AVAHI_LIBRARIES})
endif()

option(WITH_VTE "Build with support for VTE" ON)
if(GTK3_FOUND AND WITH_VTE)
        set(_VTE_VERSION_NUMS 2.91 2.90)
        foreach(__VTE_VERSION ${_VTE_VERSION_NUMS})
                set(_VTE_VERSION_NUM ${__VTE_VERSION})
                find_package(VTE)
                if(VTE_FOUND)
                        break()
                endif()
                message(STATUS "VTE ${__VTE_VERSION} not found")
        endforeach(__VTE_VERSION)
elseif(WITH_VTE)
        set(_VTE_VERSION_NUM)
        find_package(VTE)
endif()

if (VTE_FOUND)
        add_definitions(-DHAVE_LIBVTE)
        include_directories(${VTE_INCLUDE_DIRS})
        target_link_libraries(remmina ${VTE_LIBRARIES})
endif()

if(GTK3_FOUND)
        find_suggested_package(APPINDICATOR)
        if(APPINDICATOR_FOUND)
                add_definitions(-DHAVE_LIBAPPINDICATOR)
                include_directories(${APPINDICATOR_INCLUDE_DIRS})
                target_link_libraries(remmina ${APPINDICATOR_LIBRARIES})
        endif()
endif()

find_package(Intl)
if(INTL_FOUND AND "${CMAKE_SYSTEM_NAME}" MATCHES "FreeBSD")
    message(STATUS "FreeBSD detected, building with Intl")
    include_directories(${Intl_INCLUDE_DIRS})
    target_link_libraries(remmina ${Intl_LIBRARIES})
endif()
if(WITH_TRANSLATIONS)
        add_subdirectory(po)
endif()

set(REMMINA_EXTERNAL_TOOLS_DIR "${CMAKE_INSTALL_FULL_DATADIR}/remmina/external_tools")
add_definitions( -DREMMINA_EXTERNAL_TOOLS_DIR="${REMMINA_EXTERNAL_TOOLS_DIR}" )

add_subdirectory(icons)
add_subdirectory(desktop)
add_subdirectory(external_tools)
add_subdirectory(ui)

install(TARGETS remmina DESTINATION ${CMAKE_INSTALL_BINDIR})
install(DIRECTORY include/remmina/ DESTINATION include/remmina FILES_MATCHING PATTERN "*.h")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/remmina.pc.in ${CMAKE_CURRENT_BINARY_DIR}/remmina.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/remmina.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

=== remmina-plugins/spice/CMakeLists.txt ===
# Remmina - The GTK+ Remote Desktop Client
#
# Copyright (C) 2016 Denis Ollier
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA  02110-1301, USA.
#
#  In addition, as a special exception, the copyright holders give
#  permission to link the code of portions of this program with the
#  OpenSSL library under certain conditions as described in each
#  individual source file, and distribute linked combinations
#  including the two.
#  You must obey the GNU General Public License in all respects
#  for all of the code used other than OpenSSL. *  If you modify
#  file(s) with this exception, you may extend this exception to your
#  version of the file(s), but you are not obligated to do so. *  If you
#  do not wish to do so, delete this exception statement from your
#  version. *  If you delete this exception statement from all source
#  files in the program, then also delete it here.

set(REMMINA_PLUGIN_SPICE_SRCS
	spice_plugin.c
	)

add_library(remmina-plugin-spice ${REMMINA_PLUGIN_SPICE_SRCS})
set_target_properties(remmina-plugin-spice PROPERTIES PREFIX "")
set_target_properties(remmina-plugin-spice PROPERTIES NO_SONAME 1)

include_directories(${REMMINA_COMMON_INCLUDE_DIRS} ${SPICE_INCLUDE_DIRS})
target_link_libraries(remmina-plugin-spice ${REMMINA_COMMON_LIBRARIES} ${SPICE_LIBRARIES})

install(TARGETS remmina-plugin-spice DESTINATION ${REMMINA_PLUGINDIR})

install(FILES 16x16/emblems/remmina-spice.png DESTINATION ${APPICON16_EMBLEMS_DIR})
install(FILES 22x22/emblems/remmina-spice.png DESTINATION ${APPICON22_EMBLEMS_DIR})

=== remmina/desktop/CMakeLists.txt ===
# desktop/remmina - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
# Copyright (C) 2014-2015 Antenore Gatta, Fabio Castelli, Giovanni Panozzo
# Copyright (C) 2014-2016 Antenore Gatta, Giovanni Panozzo
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA  02110-1301, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.


set(ICON16_DIR "${REMMINA_DATADIR}/icons/hicolor/16x16/apps")
set(ICON22_DIR "${REMMINA_DATADIR}/icons/hicolor/22x22/apps")
set(ICON24_DIR "${REMMINA_DATADIR}/icons/hicolor/24x24/apps")
set(ICON32_DIR "${REMMINA_DATADIR}/icons/hicolor/32x32/apps")
set(ICON48_DIR "${REMMINA_DATADIR}/icons/hicolor/48x48/apps")
set(ICON64_DIR "${REMMINA_DATADIR}/icons/hicolor/64x64/apps")
set(ICON72_DIR "${REMMINA_DATADIR}/icons/hicolor/72x72/apps")
set(ICON96_DIR "${REMMINA_DATADIR}/icons/hicolor/96x96/apps")
set(ICON128_DIR "${REMMINA_DATADIR}/icons/hicolor/128x128/apps")
set(ICONSVG_DIR "${REMMINA_DATADIR}/icons/hicolor/scalable/apps")

set(ICON16_DATA 16x16/apps/remmina.png)
set(ICON22_DATA 22x22/apps/remmina.png)
set(ICON24_DATA 24x24/apps/remmina.png)
set(ICON16_DATA_PANEL 16x16/apps/remmina-panel.png)
set(ICON22_DATA_PANEL 22x22/apps/remmina-panel.png)
set(ICON24_DATA_PANEL 24x24/apps/remmina-panel.png)
set(ICON16_DATA_PANEL_LIGHT 16x16/apps/remmina-panel-inverted.png)
set(ICON22_DATA_PANEL_LIGHT 22x22/apps/remmina-panel-inverted.png)
set(ICON24_DATA_PANEL_LIGHT 24x24/apps/remmina-panel-inverted.png)
set(ICON32_DATA 32x32/apps/remmina.png)
set(ICON48_DATA 48x48/apps/remmina.png)
set(ICON64_DATA 64x64/apps/remmina.png)
set(ICON72_DATA 72x72/apps/remmina.png)
set(ICON96_DATA 96x96/apps/remmina.png)
set(ICON128_DATA 128x128/apps/remmina.png)
set(ICONSVG_DATA scalable/apps/remmina.svg)

install(FILES ${ICON16_DATA} DESTINATION ${ICON16_DIR})
install(FILES ${ICON22_DATA} DESTINATION ${ICON22_DIR})
install(FILES ${ICON24_DATA} DESTINATION ${ICON24_DIR})
install(FILES ${ICON16_DATA_PANEL} DESTINATION ${ICON16_DIR})
install(FILES ${ICON22_DATA_PANEL} DESTINATION ${ICON22_DIR})
install(FILES ${ICON24_DATA_PANEL} DESTINATION ${ICON24_DIR})
install(FILES ${ICON16_DATA_PANEL_LIGHT} DESTINATION ${ICON16_DIR})
install(FILES ${ICON22_DATA_PANEL_LIGHT} DESTINATION ${ICON22_DIR})
install(FILES ${ICON24_DATA_PANEL_LIGHT} DESTINATION ${ICON24_DIR})
install(FILES ${ICON32_DATA} DESTINATION ${ICON32_DIR})
install(FILES ${ICON48_DATA} DESTINATION ${ICON48_DIR})
install(FILES ${ICON64_DATA} DESTINATION ${ICON64_DIR})
install(FILES ${ICON72_DATA} DESTINATION ${ICON72_DIR})
install(FILES ${ICON96_DATA} DESTINATION ${ICON96_DIR})
install(FILES ${ICON128_DATA} DESTINATION ${ICON128_DIR})
install(FILES ${ICONSVG_DATA} DESTINATION ${ICONSVG_DIR})

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/remmina.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/remmina.desktop @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/remmina.desktop DESTINATION "${REMMINA_DATADIR}/applications")
install(FILES remmina.appdata.xml DESTINATION "${REMMINA_DATADIR}/appdata")

=== remmina/ui/CMakeLists.txt ===
# desktop/remmina - The GTK+ Remote Desktop Client
#
# Copyright (C) 2015 Antenore Gatta, Fabio Castelli, Giovanni Panozzo
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor,
# Boston, MA  02110-1301, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.


install(FILES remmina_about.glade DESTINATION "${REMMINA_UIDIR}")
install(FILES remmina_survey.glade DESTINATION "${REMMINA_UIDIR}")
install(FILES remmina_main.glade DESTINATION "${REMMINA_UIDIR}")
install(FILES remmina_spinner.glade DESTINATION "${REMMINA_UIDIR}")
install(FILES remmina_preferences.glade DESTINATION "${REMMINA_UIDIR}")
install(FILES remmina_key_chooser.glade DESTINATION "${REMMINA_UIDIR}")
install(FILES remmina_string_list.glade DESTINATION "${REMMINA_UIDIR}")

=== debian/changelog ===
remmina (1.2.0~rcgit-14) unstable; urgency=low

  * Auto build.

 -- Launchpad Package Builder <noreply@launchpad.net>  Sat, 06 Aug 2016 18:01:34 +0000

remmina (1.2.0~rcgit-11) unstable; urgency=medium

  * PPA version.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 18 Aug 2015 10:10:01 +0200

remmina (1.1.1-1) unstable; urgency=medium

  * New upstream release.
    - Fix load of RDP plugin when FreeRDP is compiled with
      -DSTATIC_CHANNELS=off (Closes: #764142).
  * debian/patches/freerdp_get_last_error.patch:
    - Removed, applied upstream.
  * debian/README.NX, debian/remmina-plugin-nx.docs:
    - Add a short notice about NX security implications (Closes: #714778).
  * debian/watch:
    - Adjust GitHub link to look for all releases.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 13 Oct 2014 16:57:50 +0200

remmina (1.0.0+git20141003-1) unstable; urgency=medium

  * New upstream snapshot.
  * Provide a debug package (Closes: #763533).
  * debian/patches/freerdp_get_last_error.patch:
    - Remove call to freerdp_get_last_error, available on FreeRDP trunk
      only, FreeRDP Debian package does not ship it yet.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 05 Oct 2014 14:18:20 +0200

remmina (1.0.0+git20140930-1) unstable; urgency=medium

  * New upstream snapshot.
    - Fix segfault with RDP plugin (Closes: #763529).
  * debian/patches/CLIENT_TLS.patch:
    - Removed, applied upstream.
  * debian/patches/rfx_context_new.patch.
    - Removed, applied upstream.
  * debian/patches/shebang.patch.
    - Removed, applied upstream.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 01 Oct 2014 08:02:35 +0200

remmina (1.0.0+git20140913-2) unstable; urgency=medium

  * debian/patches/external_tools.patch:
    - Look for external tools into a system directory, instead of user's
      home. Current default makes Debian buildds to fail (Closes: #763280).
  * debian/patches/shebang.patch:
    - Add shebangs to external tool scripts.
  * debian/patches/CLIENT_TLS.patch:
    - Drop LIBVNCSERVER_WITH_CLIENT_TLS ifdef's to enable GNUTLS support,
      which got disabled after using system libvncserver (Closes: #741524).
  * debian/remmina-common.install:
    - Install external tools under /usr/share.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 29 Sep 2014 08:11:58 +0200

remmina (1.0.0+git20140913-1) unstable; urgency=medium

  * New upstream snapshot.
    - Fixed numlock on RDP connections (Closes: #663714).
    - Colours are no longer swapped on Sun Ray terminal (Closes: #673416).
    - Notify user when host key changed (Closes: #674407).
    - Windows no longer disappears when minimized (Closes: #674535).
    - Add cursor support (Closes: #676654).
    - OpenSSL license exception granted (Closes: #750870).
  * debian/patches/*.patch:
    - All patches integrated upstream.
  * debian/patches/rfx_context_new.patch:
    . rfx_context_new does not take any parameter, fix FTBFS.
  * debian/control:
    - Bump libfreerdp-dev dependency to 1.1.0 (Closes: #757605, 757821).
    - Build-depends on libgcrypt20-dev and libgnutls28-dev (Closes: #759000).
    - Downgrade libfreerdp-plugins-standard to Recommends for the RDP
      plugin, as the provided features are optional.
    - Bump Standards-Version to 3.9.6.
  * debian/copyright:
    - Update copyright information, drop removed licenses.
  * debian/remmina-plugin-*.install:
    - Install plugins in multiarch library directories.
  * debian/rules:
    - remmina/ChangeLog moved to ChangeLog.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 28 Sep 2014 10:10:16 +0200

remmina (1.0.0-6) unstable; urgency=low

  * Upload to unstable.
  * debian/patches/missing_libraries.patch:
    - Add missing libraries to target_link_libraries to fix FTBFS,
      thanks to Daniel T. Chen for the patch (Closes: #713470).
  * debian/remmina-plugin-*.lintian-overrides:
    - Removed lintian overrides, not needed anymore.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 23 Jun 2013 14:48:57 +0200

remmina (1.0.0-5) experimental; urgency=low

  [ Luca Falavigna ]
  * debian/patches/NO_SONAME.patch:
    - Do not define any SONAME for the plugins.
  * debian/control:
    - Fix URL of Vcs-Browser field.
    - Bump Standards-Version to 3.9.4.
    - Fix typo in package description.
  * debian/copyright:
    - Adjust copyright years.
  * debian/docs:
    - Install README.
  * debian/remmina-plugin-{nx,vnc}.lintian-overrides:
    - hardening-check discovers unprotected functions only.
  * debian/rules:
    - Pass "-Wl,--as-needed" to LDFLAGS.
    - Install upstream changelog.
    - Overriding dh_makeshlibs is no longer required.

  [ Jonathan McCrohan ]
  * debian/watch:
    - Update watchfile to fix Github breakage (Closes: #693515).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 02 Feb 2013 01:06:23 +0100

remmina (1.0.0-4+deb7u1) unstable; urgency=low

  [ Bernhard Schmidt ]
  * Cherry-pick commit 9243d35 from upstream Git repository to fix a
    crash when resizing window to fit remote resolution (Closes: #668020).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 17 Mar 2013 14:37:39 +0100

remmina (1.0.0-4) unstable; urgency=low

  [ Martijn van Brummelen ]
  * debian/patches/clipboard.patch:
    - Clipboard support (Closes: #659755).

  [ Luca Falavigna ]
  * debian/patches/fullname.patch:
    - Use X-GNOME-FullName in .desktop file (Closes: #625939).
  * debian/patches/scroll.patch:
    - Fix some issues with scrolling (Closes: #670535).
  * debian/patches/systray.patch:
    - Implement --icon/-i option (Closes: #661893).
  * debian/control:
    - Add dbus-x11 to remmina Depends field (Closes: #668018).
    - Add Jean-Louis to Uploaders field.
    - Move VCS repository under collab-maint.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 24 May 2012 22:37:09 +0200

remmina (1.0.0-3) unstable; urgency=low

  * debian/patches/desktop_file.patch:
    - Fix installation path of the desktop file.
  * debian/rules:


=== debian/control ===
Source: remmina
Section: gnome
Priority: optional
Maintainer: Luca Falavigna <dktrkranz@debian.org>
Uploaders: Jean-Louis Dupond <jean-louis@dupond.be>
Build-Depends: debhelper (>= 9~),
 cmake (>= 2.6),
 libgtk-3-dev,
 libgcrypt-dev | libgcrypt20-dev,
 libssh-dev (>= 0.4),
 libvte-2.90-dev | libvte-2.91-dev,
 libxkbfile-dev,
 libfreerdp-dev (>= 1.1.0~),
 libtelepathy-glib-dev,
 libjpeg-dev,
 libgnutls-dev | libgnutls28-dev,
 libgnome-keyring-dev,
 libavahi-ui-gtk3-dev (>= 0.6.0),
 libvncserver-dev,
 libappindicator3-dev,
 libsecret-1-dev,
 libwebkit2gtk-4.0-dev | libwebkit2gtk-3.0-dev,
 libspice-protocol-dev,
 libspice-client-gtk-3.0-dev | libspice-client-gtk-2.0-dev
Standards-Version: 3.9.6
Homepage: http://remmina.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/collab-maint/remmina.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/remmina.git

Package: remmina
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 remmina-common (= ${source:Version}),
 dbus-x11
Recommends: remmina-plugin-rdp,
 remmina-plugin-vnc
Breaks: remmina-plugin-data (<= 0.9)
Replaces: remmina-gnome, remmina-xfce
Description: remote desktop client for GNOME desktop environment
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 It supports multiple network protocols in an integrated and consistent user
 interface. Currently RDP, VNC, NX, XDMCP and SSH protocols are supported.

Package: remmina-common
Architecture: all
Depends: ${misc:Depends}
Recommends: remmina
Breaks: remmina (<< 1.0.0),
 remmina-plugin-data
Replaces: remmina (<< 1.0.0),
 remmina-plugin-data
Description: common files for remmina remote desktop client
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 This package contains the common files.

Package: remmina-plugin-rdp
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version}),
 libfreerdp-plugins-standard (>= 1.2.0~)
Description: RDP plugin for remmina remote desktop client
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 This package contains the RDP plugin for Remmina.

Package: remmina-plugin-vnc
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version})
Description: VNC plugin for remmina remote desktop client
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 This package contains the VNC plugin for Remmina.

Package: remmina-plugin-xdmcp
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version}),
 xserver-xephyr
Description: XDMCP plugin for remmina remote desktop client
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 This package contains the XDMCP plugin for Remmina.

Package: remmina-plugin-nx
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version}),
 nxproxy
Description: NX plugin for remmina remote desktop client
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 This package contains the NX plugin for Remmina.

Package: remmina-plugin-telepathy
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version})
Description: Telepathy plugin for remmina remote desktop client
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 This package contains the Telepathy plugin for Remmina.

Package: remmina-plugin-gnome
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version})
Description: GNOME plugin for remmina remote desktop client
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 This package contains the GNOME Keyring plugin for Remmina, which allows one
 to store and retrieve passwords from GNOME Keyring.

Package: remmina-plugin-spice
# Architecture is valorized automatically by ubuntu-build.sh script, in other cases
# must be modified manually
Architecture: amd64 i386
Depends: ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version})
Description: plugin for remmina FIXME: NO IDEA WHAT IS SPICE ;)

Package: remmina-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version}),
 remmina-plugin-rdp (= ${binary:Version}),
 remmina-plugin-vnc (= ${binary:Version}),
 remmina-plugin-xdmcp (= ${binary:Version}),
 remmina-plugin-nx (= ${binary:Version}),
 remmina-plugin-telepathy (= ${binary:Version}),
 remmina-plugin-gnome (= ${binary:Version})
Description: remote desktop client - debug pakcage
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 This package provides debugging symbols for remmina and its plugins.

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS += -Wl,--as-needed

UBUNTU_SERIE ?= $(shell echo "ZORRO" >&2 ; grep '^VERSION=' /etc/os-release | sed 's/^[^"]*"//g;s/".*//g;s/^[^,]*, *//g;s/ .*//g;s/\(.*\)/\L\1/g')

ifeq ($(UBUNTU_SERIE),trusty)
        REMMINA_PLUGIN_SPICE_ARCHITECTURES=amd64 i386
        REMMINA_PLUGIN_SPICE_BUILDDEPS_ARCHS=[!armhf]
else
        REMMINA_PLUGIN_SPICE_ARCHITECTURES=any
        REMMINA_PLUGIN_SPICE_BUILDDEPS_ARCHS=
endif

# macro computing the list of 'debian/<pkg>.*" files which have a
# corresponding ".in" file; pass the list of packages in $(1)
dh_subst_files = $(patsubst %.in,%,$(wildcard $(addprefix debian/, $(addsuffix *.in, $(1)))))

debian/control::
	dh_testdir
	sed \
		-e "s#@REMMINA_PLUGIN_SPICE_BUILDDEPS_ARCHS@#$(REMMINA_PLUGIN_SPICE_BUILDDEPS_ARCHS)#g" \
		-e "s#@REMMINA_PLUGIN_SPICE_ARCHITECTURES@#$(REMMINA_PLUGIN_SPICE_ARCHITECTURES)#g" \
		$@.in > $@

%:
	dh $@ --dbg-package=remmina-dbg

clean:: debian/control
        # gross kludge to force control generation with the %.in target
	touch debian/control.in
	rm -f $(call dh_subst_files,$(DEB_ALL_PACKAGES))

# Add dependencies to generate files from the debian/*.in ones
build-indep: $(call dh_subst_files,$(DEB_INDEP_PACKAGES))
build-arch: $(call dh_subst_files,$(DEB_ARCH_PACKAGES))

override_dh_install:
	dh_install
	[ -d debian/remmina-common ] && \
		find $(CURDIR)/debian/remmina-common -name "*remmina.desktop" -delete && \
		find $(CURDIR)/debian/remmina-common -type d -empty -delete || true

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog
